run abm_clicks.mata

mata
    foo = clicks()
    foo.tdim(200)
    foo.pr_good(.5)
    foo.botclicks(50)
    foo.run()
    foo.mood(("m1","m2","m3","m4","m5","m6","m7","m8","m9","m10"))
end
gen t = _n-1
sort t 
forvalues i = 2/10 {
    local j = `i' - 1
    replace m`i' = m`i' + m`j'
}

twoway area m10 t, color("165   0  38") || ///
       area m9  t, color("215  48  39") || ///
       area m8  t, color("244 109  67") || ///
       area m7  t, color("253 174  97") || ///
       area m6  t, color("254 224 144") || ///
       area m5  t, color("224 243 248") || ///
       area m4  t, color("171 217 233") || ///
       area m3  t, color("116 173 209") || ///
       area m2  t, color(" 69 117 180") || ///
       area m1  t, color(" 49  54 149")    ///
       plotregion(margin(zero))            /// 
       name(mood, replace)                 /// 
       legend(order(1  "10 good"           ///
                    2   "9"                ///
                    3   "8"                ///
                    4   "7"                ///
                    5   "6"                ///
                    6   "5"                ///
                    7   "4"                ///
                    8   "3"                ///
                    9   "2"                ///
                    10  "1 bad" ))
drop _all
mata foo.items(("id", "t", "what", "val"))
reshape wide val, i(id t) j(what)

gen clicks_good = val2*val1
gen clicks_bad  = val2*(1-val1)
collapse (sum) clicks_good clicks_bad, by(t)
twoway line clicks_good clicks_bad t,   ///
    lcolor("165   0  38" " 49  54 149") ///
    lpattern(solid solid)               ///
    legend(order(1 "good" 2 "bad"))     ///
    ytitle(total number of clicks)      ///
    name(clicks, replace)
